Summary: The daemon which starts the flushing of dirty buffers back to disk.
Summary(ja): 未処理のバッファをディスクに書き込むデーモン
Name: bdflush
Version: 1.5
Release: 22vl3
License: Distributable
Group: System Environment/Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/%{name}-%{version}.tar.gz
Patch: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
Patch2: bdflush-1.5-ia64.patch
Patch3: bdflush-1.5-limit.patch
Patch4: bdflush-1.5-errno.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root


%description
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.
Bdflush is a basic system process that must run for your system
to operate properly.

%description -l ja
bdflush はカーネルデーモンで，バッファをディスクに書き込みます
(例えば未だバッファ内にあるデータを全てディスクに書き込む等)．
これによりバッファ内のデータが古くなり過ぎるのを防ぐことが出来ます．
bdflush はあなたのシステムが正しく動作するのに絶対に必要な
基本的なシステムプロセスです．


%prep
%setup -q

%patch -p1
%patch1 -p1 -b .glibc
%patch2 -p1 -b .bdflush
%patch3 -p1 -b .limit
%patch4 -p1 -b .errno


%build
make bdflush


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT%{_mandir}/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT%{_mandir}/man8/update.8


%clean
rm -rf $RPM_BUILD_ROOT


%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) %{_mandir}/*/*


%changelog
* Wed Jan 30 2008 Shu KONNO <owa@bg.wakwak.com> 1.5-22vl3
- s/Copyright/License/

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.5-22vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5-22vl1
- based on 1.5-22 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- merge in updated x86_64 patches
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not strip binary

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Mar 14 2001 Tim Powers <timp@redhat.com>
- fixed copyright
- include errno.h

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- FHS fixes
- rebuilt in the new build environment
- fix to built with glibc22

* Fri Feb 28 2000 Bill Nottingham <notting@redhat.com>
- fix for ia64

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix decsription and summary
- man pages are compressed
 
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

